package com.xlht.xlhtproject.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.respParse.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.xlht.xlhtproject.domain.TShuju1;
import com.xlht.xlhtproject.service.ITShuju1Service;

/**
 * 入库数据_5分钟间隔Controller
 * 
 * @author slibra
 * @date 2024-09-19
 */
@RestController
@RequestMapping("/business/shuJu1")
public class TShuju1Controller extends BaseController
{
    @Autowired
    private ITShuju1Service tShuju1Service;

    /**
     * 查询入库数据_5分钟间隔列表
     */
    @GetMapping("/list")
    public TableDataInfo list(TShuju1 tShuju1)
    {
        startPage();
        List<TShuju1> list = tShuju1Service.selectTShuju1List(tShuju1);
        return getDataTable(list);
    }

    /**
     * 导出入库数据_5分钟间隔列表
     */
    /*@PostMapping("/export")
    public void export(HttpServletResponse response, TShuju1 tShuju1)
    {
        List<TShuju1> list = tShuju1Service.selectTShuju1List(tShuju1);
        ExcelUtil<TShuju1> util = new ExcelUtil<TShuju1>(TShuju1.class);
        util.exportExcel(response, list, "入库数据_5分钟间隔数据");
    }*/

    /**
     * 获取入库数据_5分钟间隔详细信息
     */
    @GetMapping(value = "/{ID}")
    public AjaxResult getInfo(@PathVariable("ID") Long ID)
    {
        return success(tShuju1Service.selectTShuju1ByID(ID));
    }

    /**
     * 新增入库数据_5分钟间隔
     */
    @PostMapping
    public AjaxResult add(@RequestBody TShuju1 tShuju1)
    {
        return toAjax(tShuju1Service.insertTShuju1(tShuju1));
    }

    /**
     * 修改入库数据_5分钟间隔
     */
    @PutMapping
    public AjaxResult edit(@RequestBody TShuju1 tShuju1)
    {
        return toAjax(tShuju1Service.updateTShuju1(tShuju1));
    }

    /**
     * 删除入库数据_5分钟间隔
     */
	@DeleteMapping("/{IDs}")
    public AjaxResult remove(@PathVariable Long[] IDs)
    {
        return toAjax(tShuju1Service.deleteTShuju1ByIDs(IDs));
    }
}
